Bug 181027 - glGenTextures fails if no glconext has been set
glGenTextures fails if no glconext has been set
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Mike A. Harris
X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-02-11 16:51 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-13 06:39:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
test.c (91 bytes, text/plain)
2006-02-11 16:51 EST, Hans de Goede
no flags Details
test2.c (361 bytes, text/plain)
2006-02-11 16:51 EST, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2006-02-11 16:51:18 EST
Compile the attached test.c with:
gcc -o test test.c -lGL

Run it, notice the segfault.

Now compile test2.c with:
gcc -o test2 test2.c `sdl-config --libs` -lGL

Runs fine.

The only difference between the 2 is that test2 first sets/creates an opengl
videocontext and test doesnot. I've taken over as maintainer of scorched 3d
which does stuff like this when run in server mode (don't ask why) and
scorched3d has been running ok under Linux and freebsd for a long time, also on
windows with this code.

I'm seeing this with the latest rawhide x86_64 on a radeon 250, I believe this
does not happen on my workpc which has integrated intel video and is i386, but I
cannot check this right now.

It could be that scorched3d is just being bad, in which case I'll try to fix it,
but even then an error message would be more appropiate then a crash.
Comment 1 Hans de Goede 2006-02-11 16:51:18 EST
Created attachment 124547 [details]
Comment 2 Hans de Goede 2006-02-11 16:51:56 EST
Created attachment 124548 [details]
Comment 3 Hans de Goede 2006-02-12 08:15:56 EST
I've just build scorched3d-39.1-3 which works around this (iow doesnot use
openGL calls when it doesn't have a context). So you can concider this rather
low priority if any at all.
Comment 4 Hans de Goede 2006-02-13 06:39:16 EST
scorched3d upstream has admitted that this indeed is a scorched3d bug and not a
openGL (mesa)bug, closing.

Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.